---
title: PerformanceNavigationTiming.toJSON()
slug: Web/API/PerformanceNavigationTiming/toJSON
tags:
  - API
  - Method
  - Reference
  - Web Performance
---
<div>{{APIRef("Navigation Timing")}}{{SeeCompatTable}}</div>

<p>The <strong><code>toJSON()</code></strong> method is a <em>serializer</em> - it returns a JSON representation of the {{domxref("PerformanceNavigationTiming")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">json = <em>resourcePerfEntry</em>.toJSON();
</pre>

<h3 id="Arguments">Arguments</h3>

<p>None</p>

<h3 id="Return_value">Return value</h3>

<dl>
 <dt>json</dt>
 <dd>A JSON object that is the serialization of the {{domxref("PerformanceNavigationTiming")}} object as a map with entries from the closest inherited interface and with entries for each of the serializable attributes.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">// Get a resource performance entry
var perfEntries = performance.getEntriesByType("navigation");
var entry = perfEntries[0];

// Get the JSON and log it
var json = entry.toJSON();
var s = JSON.stringify(json);
console.log("PerformanceNavigationTiming.toJSON() = " + s);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Navigation Timing Level 2', '#dom-performancenavigationtiming-tojson', 'toJSON()')}}</td>
   <td>{{Spec2('Navigation Timing Level 2')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PerformanceNavigationTiming.toJSON")}}</p>
